const webpack = require('webpack')
const path = require('path')

const BUILD_DIR = path.resolve(__dirname + '/build')
const APP_DIR = path.resolve(__dirname + '/app')

let config = {
  entry: APP_DIR + '/index.js',
  output: {
    path: BUILD_DIR,
    filename: 'bundle.js',
    publicPath: '/'
  },
  devtool: 'source-map',
  devServer: {
    inline: true,
    contentBase: BUILD_DIR,
    port: 3333
  },
  module: {
    rules: [
      {
        test: /\.jsx?/,
        include: APP_DIR,
        use: {
          loader: 'babel-loader',
          options: {
            presets: ['es2016', 'react']
          }
        }
      }
    ]
  }
}

module.exports = config